explain_fputc_or_die(3)

NAME
explain_fputc_or_die - output of characters and report errors

SYNOPSIS
#include <libexplain/fputc.h>

void explain_fputc_or_die(int c, FILE *fp);

DESCRIPTION
The explain_fputc_or_die function is used to call the fputc(3) system call. On failure an explanation will be printed to stderr, obtained from explain_fputc(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_fputc_or_die(c, fp);

c   The c, exactly as to be passed to the fputc(3) system call.

fp  The fp, exactly as to be passed to the fputc(3) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

fputc(3)
    output of characters

explain_fputc(3)
    explain fputc(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller